package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcArchiveMapper;
import com.ruoyi.oa.domain.CmcArchive;
import com.ruoyi.oa.service.ICmcArchiveService;

/**
 * cmc成果归档Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-29
 */
@Service
public class CmcArchiveServiceImpl implements ICmcArchiveService 
{
    @Autowired
    private CmcArchiveMapper cmcArchiveMapper;

    /**
     * 查询cmc成果归档
     * 
     * @param archiveId cmc成果归档主键
     * @return cmc成果归档
     */
    @Override
    public CmcArchive selectCmcArchiveByArchiveId(String archiveId)
    {
        return cmcArchiveMapper.selectCmcArchiveByArchiveId(archiveId);
    }

    /**
     * 查询cmc成果归档列表
     * 
     * @param cmcArchive cmc成果归档
     * @return cmc成果归档
     */
    @Override
    public List<CmcArchive> selectCmcArchiveList(CmcArchive cmcArchive)
    {
        return cmcArchiveMapper.selectCmcArchiveList(cmcArchive);
    }

    /**
     * 新增cmc成果归档
     * 
     * @param cmcArchive cmc成果归档
     * @return 结果
     */
    @Override
    public int insertCmcArchive(CmcArchive cmcArchive)
    {
        return cmcArchiveMapper.insertCmcArchive(cmcArchive);
    }

    /**
     * 修改cmc成果归档
     * 
     * @param cmcArchive cmc成果归档
     * @return 结果
     */
    @Override
    public int updateCmcArchive(CmcArchive cmcArchive)
    {
        return cmcArchiveMapper.updateCmcArchive(cmcArchive);
    }

    /**
     * 批量删除cmc成果归档
     * 
     * @param archiveIds 需要删除的cmc成果归档主键
     * @return 结果
     */
    @Override
    public int deleteCmcArchiveByArchiveIds(String[] archiveIds)
    {
        return cmcArchiveMapper.deleteCmcArchiveByArchiveIds(archiveIds);
    }

    /**
     * 删除cmc成果归档信息
     * 
     * @param archiveId cmc成果归档主键
     * @return 结果
     */
    @Override
    public int deleteCmcArchiveByArchiveId(String archiveId)
    {
        return cmcArchiveMapper.deleteCmcArchiveByArchiveId(archiveId);
    }
}
